#ifndef bqt_lista
#define bqt_lista

#include <vector>
using std::vector;

template<class T>
class Lista: private vector<T>
{
public:
	void Add(const T &b);
	unsigned Size() const;
	unsigned Index(const T &b) const;
};

template<class T>
void Lista<T>::Add(const T &b)
{
    for(unsigned a=0; a<size(); ++a)
    	if(operator[] (a) == b)return;
    push_back(b);
}

template<class T>
unsigned Lista<T>::Index(const T &b) const
{
    for(unsigned a=0; a<size(); ++a)
    	if(operator[] (a) == b)
    		return a;
    return (unsigned)(-1);
}

template<class T>
unsigned Lista<T>::Size() const
{
	return vector<T>::size();
}

#endif
